Page MenuHomePhabricator

Enable Flow on all kab.wikipedia talk pages
Closed, DeclinedPublic

Description

Hello, we (kabwiki active users) reached concensus here (with 3/3 of support).

http://kab.wikipedia.org/wiki/Wikipedia:Addam_n_leqrar/Abeddel_n_isebtaren_n_umyannan_ɣer_Flow

We would be happy if you do that. Thank you !


We'll start this by converting all user talk pages.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 17 2016, 11:40 PM
Issimo_15 updated the task description. (Show Details)Jul 17 2016, 11:41 PM
Issimo_15 updated the task description. (Show Details)
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 17 2016, 11:44 PM

Include IP users?

Yes please, including IP users.

Thank you for this request!
I'll be back soon with information about the deployment.

Issimo_15 updated the task description. (Show Details)Jul 18 2016, 11:28 AM

That community has already tried Flow. A previous discussion has been done in April 2016 to allow users to try Flow on their talk pages.

Hello again, are there news?

Thank you.

All user talk pages, or all talk pages period (Article talk, project talk, MediaWiki talk, File talk, etc. etc.)?

All talk pages please

Catrope added a subscriber: Catrope.

Note to self: Per IRC, we decided to do all user talk first.

Question mainly for later (but if it's applicable to user talk please let us know):

Are there any specific talk pages you do not want converted? We have the ability to bypass particular pages when converting namespaces, based on certain templates being present.

Mattflaschen-WMF added a comment.EditedAug 19 2016, 1:17 AM

Since we haven't done this in a while, I will do it on Beta Cluster first. There is no kabwiki on Beta Cluster, so I will use Beta Catalan Wikipedia to test:

  1. Turn off Flow for new NS_USER_TALK pages.
  2. Create a few wikitext user talk pages.
  3. Run the script convertNamespaceFromWikitext.php
  4. Verify results, then turn Flow (back) on for that namespace.

Then I'll do 3-4 in production for kabwiki.

Correction, for 1-2 on Beta Cluster I'll use NS_PROJECT_TALK.

Change 305604 had a related patch set uploaded (by Mattflaschen):
Temporarily make NS_PROJECT_TALK wikitext again on Beta cawiki

https://gerrit.wikimedia.org/r/305604

Change 305604 merged by jenkins-bot:
Temporarily make NS_PROJECT_TALK wikitext again on Beta cawiki

https://gerrit.wikimedia.org/r/305604

Change 305607 had a related patch set uploaded (by Mattflaschen):
WIP: Fix parameter for convertNamespaceFromWikitext.php

https://gerrit.wikimedia.org/r/305607

Change 305608 had a related patch set uploaded (by Mattflaschen):
Revert "Temporarily make NS_PROJECT_TALK wikitext again on Beta cawiki"

https://gerrit.wikimedia.org/r/305608

Change 305608 merged by jenkins-bot:
Revert "Temporarily make NS_PROJECT_TALK wikitext again on Beta cawiki"

https://gerrit.wikimedia.org/r/305608

Also, as part of steps 1 and 4: populateContentModel.php on 'revision', 'archive', and 'page' (not sure it's really needed for 'page', but doesn't hurt).

Done on Beta Cluster:

1a. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=revision
1b. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=archive
1c. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=page
1d. Deploy https://gerrit.wikimedia.org/r/#/c/305604/1 to Beta Cluster (by merging).

  1. Created https://ca.wikipedia.beta.wmflabs.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Test_2016-08-18_1 , https://ca.wikipedia.beta.wmflabs.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Test_2016-08-18_2 , and https://ca.wikipedia.beta.wmflabs.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Test_2016-08-18_3 .
  2. mwscript extensions/Flow/maintenance/convertNamespaceFromWikitext.php --wiki=cawiki 'Project_talk'

4a. Looks good. 3 pages are archived properly and I tested one of the Flow boards.
4b. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=revision
4c. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=archive
4d. mwscript populateContentModel.php --wiki=cawiki --ns=5 --table=page
4e. Revert temporary config change.

Looks good.

Change 305670 had a related patch set uploaded (by Mattflaschen):
Set Flow as default for User talk on kabwiki

https://gerrit.wikimedia.org/r/305670

Change 305753 had a related patch set uploaded (by Mattflaschen):
Use LIBXML_PARSEHUGE for deep XML documents

https://gerrit.wikimedia.org/r/305753

Change 305753 merged by jenkins-bot:
Use LIBXML_PARSEHUGE for deep XML documents

https://gerrit.wikimedia.org/r/305753

Change 305607 merged by jenkins-bot:
Fix parameter for convertNamespaceFromWikitext.php

https://gerrit.wikimedia.org/r/305607

Mattflaschen-WMF added a comment.EditedAug 20 2016, 1:03 AM

First, a request for the kabwiki users:

Please translate at least:

  • At translatewiki.net:
    • The archive prefix (flow-conversion-archive-page-name-format).
    • The content of the template (flow-importer-wt-converted-template-content)
    • If you want, you can also translate the name (flow-importer-wt-converted-template). Make sure the page exists at the name if you do this.
  • And please copy the template to https://kab.wikipedia.org/wiki/Tal%C9%A3a:Wikitext_talk_page_converted_to_Flow or the other name as well.

If you do it later, it will not affect past conversions (templates do not auto-update), so I'd like to wait on that before converting the other namespaces. It would be good to start translating the rest of Flow too.


The first (main) pass of the conversion of user talk is done.

Amyannan umsqedac:SabienSam failed to import because of the very deep DOM tree (e.g. a set of nested lists). It's still archived normally at https://kab.wikipedia.org/wiki/Amyannan_umsqedac:SabienSam/Archive_1 and I added the link to that from the main talk page.

I interrupted the conversion once, so one other user talk page on the wiki needed manual intervention: https://kab.wikipedia.org/wiki/Amyannan_umsqedac:Ijon .

Other than that, it went smoothly. The combined log is at P3858.

Note the error-handling here is a little confusing. The exceptions are being caught, and I reviewed them. AFAICT, none are actually a problem, except the SabienSam depth issue, which is fixed. They are also basically either redirects or subpages, neither of which are converted (except subpages with a matching userspace page).

Monday morning during the SWAT window I will:

  • Re-run this script (to catch the few that come in over the weekend)
    • (mwscript extensions/Flow/maintenance/convertNamespaceFromWikitext.php --wiki=kabwiki 'User_talk') 2>&1|tee --append ~/2016-08-22_kabwiki_convertNamespacesFromWikitext_pt3.log
  • mwscript populateContentModel.php --wiki=kabwiki --ns=3 --table=revision
  • mwscript populateContentModel.php --wiki=kabwiki --ns=3 --table=archive
  • mwscript populateContentModel.php --wiki=kabwiki --ns=3 --table=page
  • Have the SWATter deploy https://gerrit.wikimedia.org/r/305670

Change 305670 merged by jenkins-bot:
Set Flow as default for User talk on kabwiki

https://gerrit.wikimedia.org/r/305670

Mentioned in SAL [2016-08-22T14:46:04Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Set Flow as default for User talk on kabwiki - T140588 (duration: 00m 59s)

Final pass for conversion of namespace: P3872 .

I also ran the populateContentModel.php scripts, and the namespace has been converted.

Minor complication due to investigating the user talk welcome bot (this was using a different server while @hashar was testing mw1099, resolved now but see below)

Also a few (manageable number to manually resolve) red links, see also below.


Notes for on-wiki users:

Please translate things at https://translatewiki.net/w/i.php?title=Special%3AMessageGroupStats&x=D&group=ext-flow . Flow has 0% translation for kab. If you need help getting started, you can ask at mediawiki-i18n on IRC or on https://lists.wikimedia.org/mailman/listinfo/mediawiki-i18n .

Please don't create pages in the MediaWiki namespace (e.g. https://kab.wikipedia.org/wiki/MediaWiki:Flow-importer-wt-converted-template-content) unless there is a reason it needs to be overridden specifically for kab Wikipedia. Even if it does, this should be in addition to translating on translatewiki.net, not instead of.

Due to creating https://kab.wikipedia.org/wiki/MediaWiki:Flow-importer-wt-converted-template without moving or creating the template to the new location, there are now red links. https://kab.wikipedia.org/w/index.php?title=Tal%C9%A3a:Asebtar_yuran_s_Wikitexte_yetturren_%C9%A3er_Flow doesn't exist , so there are some broken links to it (from the latest round).

I didn't realize before starting today that this had been partially overridden.

Please copy the contents of https://kab.wikipedia.org/wiki/MediaWiki:Flow-importer-wt-converted-template-content to https://kab.wikipedia.org/wiki/Tal%C9%A3a:Wikitext_talk_page_converted_to_Flow , then move that template to https://kab.wikipedia.org/w/index.php?title=Tal%C9%A3a:Asebtar_yuran_s_Wikitexte_yetturren_%C9%A3er_Flow (leaving a redirect).

Luckily, this is only a handful (or, we'll say a full finger set), so after the template exists, you can go through https://kab.wikipedia.org/wiki/Uslig:WhatLinksHere/Tal%C9%A3a:Asebtar_yuran_s_Wikitexte_yetturren_%C9%A3er_Flow and make a minor space edit to the header, which will cause it to properly display.

(Please also copy these translations to translatewiki.net).

Finally, users are no longer receiving welcome messages on user talk. I understand the issue, and have left a note for the bot developer at https://fr.wikipedia.org/wiki/Discussion_utilisateur:Darkoneko#Loveless_bot_on_kabwiki .

I will next add Flow support to the NewUserMessage extension (T131957: NewUserMessage should handle Flow properly; affects gomwiki/Konkani Wikipedia and kabwiki), so that will be an option to replace this functionality.

Please let us know if you have questions. Thank you again for trying Flow.

Translations updated for

  • flow-conversion-archive-page-name-format
  • flow-importer-wt-converted-template-content
  • flow-importer-wt-converted-template

Thank you @Mattflaschen-WMF for Monday SWAT was a breeze, sorry you went last :)

Dereckson closed this task as Resolved.Sep 9 2016, 3:05 AM
Dereckson moved this task from Backlog to Done on the Wikimedia-Site-requests board.
Dereckson reopened this task as Open.Sep 9 2016, 3:08 AM
Dereckson moved this task from Done to External on the Wikimedia-Site-requests board.
Dereckson added a subscriber: Dereckson.

[ Reopened, asthis needs further namespaces deployment. ]

hashar removed a subscriber: hashar.Apr 12 2017, 7:36 AM

Poke again, this should be treated as high priority as it affect a live Wikipedia.

Trizek-WMF changed the task status from Open to Stalled.Jan 15 2018, 2:45 PM

I'm staling that request to reflect the current status of it, with no updates since more than a year and some blocking tasks to resolve first.

Aklapper removed Mattflaschen-WMF as the assignee of this task.Apr 18 2018, 1:48 PM

Removing @Mattflaschen-WMF as task assignee to avoid cookie-licking.
(Matt, if you still like/plan to work on this, feel very welcome to re-claim via your personal Phab account - thanks!)

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 22 2018, 12:57 PM
Trizek-WMF closed this task as Declined.Jul 11 2019, 3:48 PM

Due to the upcoming improvements on talk pages (see Talk pages consultation 2019), no more deployment of Structured Discussions will be performed. We are also not removing Structured Discussions from any wikis. No new features are planned for Structured Discussions at this time. Maintenance will continue for the foreseeable future.